iio_info(1)

NAME
iio_info - list IIO devices and device attributes

SYNOPSIS
iio_info [ options ] -x <xml_file>
iio_info [ options ] -n <hostname>
iio_info [ options ] -u <uri>

DESCRIPTION
iio_info is a utility for displaying information about local or remote IIO devices

OPTIONS

-h, --help
    Tells iio_info to display some help, and then quit.

-x, --xml
    Use the XML backend with the provided XML file

-n, --network
    Use the network backend with the provided hostname

-u, --uri
    The Uniform Resource Identifier (uri) for connecting to devices, can be one of:

    ip:[address]
        network address, either numeric (192.168.0.1) or network hostname

    ip: blank, if compiled with zeroconf support, will find an IIO device on network

    usb:[device:port:instance]
        normally returned from iio_info -s

    serial:[port]

    local
        with no address part

-s, --scan
    Scan for available backends

-a, --auto
    Scan for available contexts and if only one is available use it.

RETURN VALUE
If the specified device is not found, a non-zero exit code is returned.

SEE ALSO
iio_attr(1), iio_info(1), iio_readdev(1), iio_reg(1), iio_writedev(1), libiio(3)

libiio home page: https://wiki.analog.com/resources/tools-software/linux-software/libiio

libiio code: https://github.com/analogdevicesinc/libiio

Doxygen for libiio https://analogdevicesinc.github.io/libiio/

BUGS
All bugs are tracked at: https://github.com/analogdevicesinc/libiio/issues